---
updatedAt: 2026-09-16T18:06:06.000Z
agentTools:
  projectIndex: https://docs.dlocal.com/llms.txt
---

# Platforms notifications

squintero@dlocal.com

The notifications will be delivered to the `notification_url` sent in the account creation request.

Until dLocal receives a `200 status` code confirmation on these notifications, it will retry once an hour for 7 days.

# Signature Notifications

An HMAC signature is calculated using a request's key-value pairs and a secret key, which is known only to you and dLocal. By verifying this signature, you'll confirm that the notification was not modified during transmission.

dLocal will be signing each POST notification using the same method described on the [Security section](https://docs.dlocal.com/reference/payins-security#how-does-it-work) (HMAC-SHA256 hash function) but in header `Signature` without prefix `V2-HMAC-SHA256, Signature:`&#x20;

**Sample signature header:&#x20;**`"Signature":"aa293f32c1bad5279dff8dbf3d0f8ba0dfe492f9f3e952792f11d16624a16010"`&#x20;

Simply take the Signature HTTP header from the notification, and compare it with the one generated by you using your `X-Login` and `secretKey`, and the `X-Date` and Request body of the notification received. If the signature generated by you matched the one received on the Signature HTTP header, then it is safe to assume that this is a valid message from dLocal.

# Request Fields

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Body Field
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `event_type`
      </td>

      <td>
        String
      </td>

      <td>
        Notification type.

        Values:

        \- `ACCOUNT_STATUS_UPDATE`<br />- `PRICING_LEVEL_UPDATE`<br />- `INDUSTRY_UPDATE`<br />- `INSTALLMENTS_RESPONSIBLE_UPDATE`<br />- `CAPABILITIES_STATUS_UPDATE`<br />- `PROOF_OF_LIFE_UPDATE`<br />- `BANK_ACCOUNT_STATUS_UPDATE`<br />- `MERCHANT_TRANSFER_STATUS_UPDATE`<br />- `INTERNAL_TRANSFER_STATUS_UPDATE`<br />- `PAYOUT_STATUS_UPDATE`<br />- `ASSIGNMENT_PROMISE`
      </td>
    </tr>

    <tr>
      <td>
        `account_id`
      </td>

      <td>
        String
      </td>

      <td>
        dLocal account ID.
      </td>
    </tr>

    <tr>
      <td>
        `account_external_reference`
      </td>

      <td>
        String
      </td>

      <td>
        Account external ID.
      </td>
    </tr>

    <tr>
      <td>
        `notification_date`
      </td>

      <td>
        Date (ISO-8601)
      </td>

      <td>
        Notification’s timestamp.
      </td>
    </tr>

    <tr>
      <td>
        `payload`
      </td>

      <td>
        Object
      </td>

      <td>
        Notification payload may vary between notification types. Please see details.
      </td>
    </tr>
  </tbody>
</Table>

# Example request

> *If you are missing some examples, try positioning the cursor on the title row and use the horizontal scroll to navigate*.

<br />

```json Account status
{
   "account_id":"d907f733-5e17-4470-b963-c2ac2c11a440",
   "event_type": "ACCOUNT_STATUS_UPDATE",
   "account_external_reference":"2352362346",
   "notification_date":"2021-07-12T13:07:08.000Z",
   "payload": {
               "last_updated":"2021-07-12T13:07:08.000Z",
               "status":"APPROVED",
               "status_code": 200,
               "status_detail": "approved"
   }
}
```
```json Pricing level
{
   "account_id":"d907f733-5e17-4470-b963-c2ac2c11a440",
   "event_type": "PRICING_LEVEL_UPDATE",
   "account_external_reference":"2352362346",
   "notification_date":"2021-07-12T13:07:08.000Z",
   "payload": {
               "last_updated":"2021-07-12T13:07:08",
               "new_price_level": "freemium",
               "new_settlement_period": 7,
               "old_price_level": "smbs_1",
               "old_settlement_period": 14
   }
}
```
```json Industry
{
   "account_id":"d907f733-5e17-4470-b963-c2ac2c11a440",
   "event_type": "INDUSTRY_UPDATE",
   "account_external_reference":"2352362346",
   "notification_date":"2021-07-12T13:07:08.000Z",
   "payload": {
               "last_updated":"2021-07-12T13:07:08",
               "new_industry_type": "PLAN_AHORA_INDUMENTARIA",
               "old_industry_type": "PLAN_AHORA_OTHER"
   }
}
```
```json Installments responsible
{
   "account_id":"d907f733-5e17-4470-b963-c2ac2c11a440",
   "event_type": "INSTALLMENTS_RESPONSIBLE_UPDATE",
   "account_external_reference":"2352362346",
   "notification_date":"2021-07-12T13:07:08.000Z",
   "payload": {
               "last_updated":"2021-07-12T13:07:08",
               "new_installment_responsible": "CUSTOMER",
               "old_installment_responsible": "MERCHANT"
   }
}
```
```json Capabilities status
{ 
   "account_id":"d907f733-5e17-4470-b963-c2ac2c11a440",
   "event_type": "CAPABILITIES_STATUS_UPDATE",
   "account_external_reference":"2352362346",
   "notification_date":"2021-07-12T13:07:08.000Z",
   "payload":  {
        "last_updated":"2021-07-12T13:07:08.000Z",
        "capabilities": [
        {
            "capability_name": "PAYINS",
            "capability_status": "DISABLED",
            "restrictions": [
                {
                    "requested_by": "BY_FRAUD",
                    "date": "2023-12-06"
                },
                {
                    "requested_by": "BY_LEGAL",
                    "date": "2023-12-01"
                }
            ]
        },
        {
            "capability_name": "PAYOUTS",
            "capability_status": "ENABLED",
            "restrictions": []
        },
        {
            "capability_name": "SETTLEMENTS",
            "capability_status": "ENABLED",
            "restrictions": []
        },
        {
            "capability_name": "REFUNDS",
            "capability_status": "ENABLED",
            "restrictions": [
                {
                    "requested_by": "BY_ADMIN",
                    "date": "2023-12-06T12:00:00"
                }
            ],
            "override": {
                "requested_by": "BY_ADMIN",
                "date": "2023-12-06T13:00:00"
            }
        }
    ]
	}
}
```
```json Proof of life
{
   "account_id":"d907f733-5e17-4470-b963-c2ac2c11a440",
   "event_type": "PROOF_OF_LIFE_UPDATE",
   "account_external_reference":"2352362346",
   "notification_date":"2021-07-12T13:07:08.000Z",
   "payload": {
               "last_updated":"2021-07-12T13:07:08",
               "new_proof_of_life_status": "COMPLETED",
               "old_proof_of_life_status": "PENDING"
                  }
}
```
```json Bank account status update
{
   "event_type": "BANK_ACCOUNT_STATUS_UPDATE",
   "account_id":"d907f733-5e17-4470-b963-c2ac2c11a440",
   "account_external_reference":"2352362346",
   "notification_date":"2021-07-12T13:07:08.000Z",
   "payload": {
        "status":"ACTIVE",
        "status_code": 200,
        "status_detail": "",
        "bank_account_id": "46a64be0-82f7-4d8c-9906-bfcfcaca8396",
        "last_updated":"2021-07-12T13:07:08.000Z"
   }
}
```
```json Merchant transfer
{
  "event_type": "MERCHANT_TRANSFER_STATUS_UPDATE",
  "notification_date": "2024-07-19T17:00:31",
  "payload": {
    "external_id": "e043ca72-3530-4c2f-8458-99d89f1f2d8a",
    "id": "a47f44c3-c115-4ddc-bd3d-900640bd33f4",
    "last_updated_date": "2024-07-19T17:00:31.918380621Z",
    "previous_status": "PENDING",
    "status": "RELEASED",
    "status_code": 200,
    "type": "INSTANT"
  }
}
```
```json Internal transfer
{
  "event_type": "INTERNAL_TRANSFER_STATUS_UPDATE",
  "notification_date": "2024-07-19T17:00:31",
  "payload": {
    "id": "TF-a47f44c3-c115-4ddc-bd3d-900640bd33f4",
    "transaction_id":"REF-115-4ddc-bd3d-900640",
    "origin": "AC-d907f733-5e17-4470-b963-c2ac2c11a440",
    "destination": "AC-303ccb43-f346-4365-a245-910aeafea032",
    "amount": 120000.00,
    "currency": "BRL",
    "last_updated_date": "2024-07-19T17:00:31.918380621Z",
    "previous_status": "PENDING",
    "status": "RELEASED",
    "status_code": 200,
    "type": "INSTANT"
  }
} 
```
```json Payouts status update
{
  "account_id": "AC-520873ef-fead-43ea-9270-0a7f366463a8",
  "event_type": "PAYOUT_STATUS_UPDATE",
  "account_external_reference": "2352362346",
  "notification_date": "2021-07-12T13:07:08.000Z",
  "payload": {
    "id": "PP-4-39b09aad-7e25-4d56-92aa-cf30a19e5b99",
    "external_reference": "e043ca72-3530-4c2f-8458-99d89f1f2d8a",
    "status": "PENDING",
    "status_code": 100
  }
}
```
```json Assignment promise
{
   "account_id":"d907f733-5e17-4470-b963-c2ac2c11a440",
   "event_type": "ASSIGNMENT_PROMISE",
   "account_external_reference":"2352362346",
   "notification_date":"2021-07-12T13:07:08.000Z",
   "payload": {
               "status": "PENDING"
   }
}
```

<br />